# Uses of Interface
org.eclipse.birt.report.model.api.IDesignEngineFactory

Packages that use IDesignEngineFactory
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl

## Uses of IDesignEngineFactory in org.eclipse.birt.report.model.api

Fields in org.eclipse.birt.report.model.api declared as IDesignEngineFactory
Modifier and Type
Field
Description
`protected static IDesignEngineFactory`
DesignEngine.`cachedFactory`

## Uses of IDesignEngineFactory in org.eclipse.birt.report.model.api.impl

Classes in org.eclipse.birt.report.model.api.impl that implement IDesignEngineFactory
Modifier and Type
Class
Description
`class`
`DesignEngineFactory`
Factory pattern to create an instance of Design Engine